Create new payment
curl --request POST \
--url https://api.sandbox.finsei.com/v3/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletId": "<string>",
"amount": 123,
"id": "<string>",
"beneficiaryId": "<string>",
"targetWalletId": "<string>",
"reference": "<string>",
"purposeCode": "<string>",
"files": [
{
"type": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://api.sandbox.finsei.com/v3/payment"
payload = {
"walletId": "<string>",
"amount": 123,
"id": "<string>",
"beneficiaryId": "<string>",
"targetWalletId": "<string>",
"reference": "<string>",
"purposeCode": "<string>",
"files": [
{
"type": "<string>",
"name": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletId: '<string>',
amount: 123,
id: '<string>',
beneficiaryId: '<string>',
targetWalletId: '<string>',
reference: '<string>',
purposeCode: '<string>',
files: [{type: '<string>', name: '<string>'}]
})
};
fetch('https://api.sandbox.finsei.com/v3/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "VALIDATE",
"errors": {
"email": "Email cannot be blank."
}
}{
"status": "CREATED",
"id": "00000000-0000-0000-0000-000000000000"
}{
"status": "MFA_REQUIRED",
"mfaToken": "def456"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"status": 401
}{
"name": "Forbidden",
"message": "String",
"status": 403
}{
"status": "ERROR",
"errors": {
"email": "Email cannot be blank."
}
}Endpoints
POST /v3/payment
POST
/
v3
/
payment
Create new payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique id
Available options:
NEW, DRAFT ⚠ NOT REQUIRED if target_wallet_id is set
⚠ NOT USE if beneficiary_id is set
⚠ NOT REQUIRED if target_wallet_id is set
⚠ REQUIRED when beneficiary country is UAE
⚠ NOT REQUIRED if target_wallet_id is set
Show child attributes
Show child attributes
⌘I